﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.01
@EndOfDesignText@
'Custom View class
Sub Class_Globals
	Private fx As JFX
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Private mBase As Pane
	Private TV As TableView
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
	TV.Initialize("TV")
End Sub

Public Sub DesignerCreateView (Base As Pane, Lbl As Label, Props As Map)
	mBase = Base
	mBase.AddNode(TV,0,0,mBase.PrefWidth,mBase.PrefHeight)
	TV.SetColumns(Array("Col1","Col2"))
	
	TV.SingleCellSelection = True
	Dim TVJO As JavaObject = TV
	TVJO.RunMethod("setFixedCellSize",Array(120.0))
	Dim ColCount As Int = 3
	Dim Headers(ColCount) As String
	TV.SetColumns(Headers)
	PopulateTable
End Sub

Private Sub Base_Resize (Width As Double, Height As Double)
	TV.PrefWidth = Width
	TV.PrefHeight = Height
End Sub

Public Sub GetBase As Pane
	Return mBase
End Sub
Private Sub PopulateTable
	TV.Items.Clear
	TV.Items.Add(Array(GetNode,GetNode,GetNode))
End Sub

Private Sub GetNode As AnchorPane
	Dim AP As AnchorPane
	AP.Initialize("")
	Dim L As Label
	L.Initialize("")
	
	L.Text =  Chr(0xE870) '"A" 
	L.Font = fx.CreateMaterialIcons(15)
	Log(L.Font)
'	L.Font = fx.CreateFont("Serif",10,False,False)
	L.TextColor = fx.Colors.blue
	AP.AddNode(L,0,0,15,15)
	
	Dim L As Label
	L.Initialize("")
	L.Font = fx.CreateMaterialIcons(15)
	L.Text = Chr(0xE870)
	AP.AddNode(L,30,0,100,15)
	
	'Comment this block and it works_____________________________
	Dim L As Label
	L.Initialize("")
	L.Text = "Test"
	AP.AddNode(L,0,30,100,15)
'_________________________________________________________________
	Return AP
	
End Sub